<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attributes and Hyperlinks</title>
</head>
<body>
    <h2 id="top">HTML top</h2>
    <h2>HTML attributes</h2>

    <!-- The align attribute changes the alignment of the paragraph -->
    <p align="center">Modifiers of element behavior</p>

    <h2>HTML images</h2>
    
    <p align="right">
        <em>
            <!-- &lt; element = < -->
            <!-- &gt; element = > -->
            An image can show using &lt;img&gt; tag along with its <strong>src</strong> attribute
        </em>
    </p>

    <a href="https://place-puppy.com/" target="_blank">
    <!-- alt attribute - alternate text. -->
    <!-- img tag - used to include images. -->
        <img src="https://place-puppy.com/300x300" alt="Dog image">
    </a>

    <p>
        <!-- <code> tag - used to display text in the browser using its monospace font -->
        <code>
            &lt;img src="https://place-puppy.com/300x300" alt="Dog image"&gt;
        </code>
    </p>

    <img src="./images/zuittlogo.png" alt="Zuitt logo">

    <p>
        <code>
            &lt;img src="./images/zuittlogo.png" alt="Zuitt logo"&gt;
        </code>
    </p>

    <p>Valid image extensions</p>

    <!-- type values for ol list - 1, A, a, I, i -->
    <!-- reverse value is TRUE by default -->
    <ol type="a" reverse="false">
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <h2>HTML Links</h2>

    <h2>Absolute links</h2>

    <!-- target="_blank" - an attribute that let's the hyperlink open in a new tab. It's a must for absolute links. -->
    <a href="https://zuitt.co/" target="_blank">I'm hyperlink</a>

    <h2>Relative links</h2>

    <p>
        Go to <a href="link.html">link.html</a>
    </p>

    <p>
        Go to <a href="./images/images.html">images.html</a>
    </p>

    <p>
        Go to <a href="#top">top</a>
    </p>


</body>
</html>